/*
Module Name: 		convert2.c

Module Description:	
			Demonstrates conversion from yards to feet and inches.


Functions in this module:

			 main()

Files Used:		none

Functions Called:	none

============================================================================
			History of Modifications

dd/mm/yy   Initials     Description
============================================================================
02/09/93   Andrew H.	Original coding see  Johnsonbough&Kalin book pp.4


*****************     *******************     ***********************
Function Name:		main()

Function Description:	

     This  program reads a length in yards from the keyboard, converts 
     the  length  to  feet and inches, and writes the converted length 
     to  the  video  display.  It  is  assumed  that  the  length is a 
     nonnegative  integer.  The  program  terminates  when  a negative 
     integer is entered. 

Function Usage:		error_code = main()

Parameters:		
			error_code	 is returned via exit
					1	incorrect input detected

Logic:			
			set yard to 0    ** acts as a loop control variable **
			while yard is non-negative
				perform the following
					accept yard input number (an integer)
					if yard input number is incorrect
						break out of loop
						exit program
					else
						set foot to 3*yard
						set inch to 36*yard
						display results on  a screen
					endif
			endwhile

Implementation Issues:

02/09/93 Andrew H.
			It would be good to replace the use of scanf()
			for accepting the input number by a number parser
			which could recognize whole numbers and other numbers
			with the decimal point and perform a suitable
			conversion to the floating point representation.
			That would improved the error handling and resilience
			to user errors.
*/

#include <stdio.h>

main()
{
     int yard, foot, inch;
     int n;
     
          yard = 0;

          while ( yard >= 0 ) 
          {
               printf( "Enter next length " );
               if ((n = scanf( "%d", &yard )) <= 0 )
               {
                    printf("\n Wrong input - integer expected -\n");
                    exit(1);
               } 
		if ( yard < 0)
			break;
               foot = 3 * yard;
               inch = 36 * yard;
               printf( "\n%d yd =\n", yard );
               printf( "%d ft\n", foot );
               printf( "%d in\n", inch );
          }
          
          printf( "*** END OF PROGRAM ***\n" );

}
